<?php

namespace App\Services\Interfaces;

use App\Models\Cobon;
use Illuminate\Http\Request;

interface CityRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Cobon $city);
    public function save(Request $request, ?Cobon $city): Cobon;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
